DNF5(8)

NUME
dnf5 -instrument de gestionare a pachetelor DNF5

SINOPSIS

dnf5 <comandă> [opțiuni] [<argumente>...]

DESCRIERE

DNF5 este noua versiune a lui DNF,, un gestionar de pachete pentru distribuțiile Linux bazate pe RPM. Acesta a fost complet rescris în C++ cu scopul de a îmbunătăți performanța și de a reduce dependențele externe.

COMENZI

Iată lista comenzilor disponibile. Pentru mai multe detalii, consultați pagina de manual separată pentru comanda specifică, de exemplu man dnf5 install.

advisory
    Gestionează avizele.

autoremove
    Elimină pachetele care nu sunt necesare.

check
    Verifică dacă există probleme în baza de date a pachetelor.

check-upgrade
    Verifică dacă sunt disponibile actualizări de pachete.

clean
    Elimină sau invalidează datele din memoria cache.

distro-sync
    Actualizează sau retrogradează pachetele instalate la cea mai recentă versiune disponibilă.

downgrade
    Retrogradează pachetele.

download
    Descarcă pachetele.

environment
    Gestionează mediile componentelor.

group
    Gestionează grupurile componentelor

history
    Gestionează istoricul tranzacțiilor.

info
    Furnizează informații detaliate despre pachetele instalate sau disponibile.

install
    Instalează pachete.

leaves
    Listează grupurile de pachete de frunze „leaf”.

list
    Listează pachetele instalate sau disponibile.

makecache
    Generează cache-ul de metadate.

mark
    Schimbă motivul unui pachet instalat.

module
    Gestionează modulele.

offline
    Gestionează tranzacțiile fără a avea conexiune la internet.

provides
    Găsește ce pachet furnizează valoarea dată.

reinstall
    Reinstalează pachetele.

remove
    Elimină pachetele.

replay
    Reia tranzacțiile stocate.

repo
    Gestionează depozitele.

repoquery
    Caută pachete în depozite.

search
    Caută pachete folosind cuvinte cheie.

swap
    Elimină software-ul și instalează altul în cadrul aceleiași tranzacții.

system-upgrade
    Actualizează sistemul la o nouă versiune majoră.

upgrade
    Actualizează pachetele.

versionlock
    Protejează pachetele de actualizările la versiuni mai noi.

  Comenzi modul

Iată lista comenzilor disponibile ca module. Acestea sunt disponibile după instalarea pachetului dnf5-plugins.

automatic
    CLI alternativ pentru dnf upgrade adecvată pentru a fi executată automat și în mod regulat din cronometrele systemd, cron jobs și altele similare.

builddep
    Instalează dependențele lipsă pentru construirea unui pachet RPM.

changelog
    Afișează jurnalele de modificare ale pachetelor.

config-manager
    Gestionează configurația principală, configurația depozitelor și variabilele.

copr
    Gestionează depozitele Copr (suplimente „add-ons" furnizate de utilizatori/comunitate/terți).

needs-restarting
    Determină dacă sistemul trebuie repornit.

repoclosure
    Afișează o listă de dependențe nerezolvate pentru depozite.

reposync
    Sincronizează pachetele și metadatele unui depozit DNF la distanță într-un director local.

OPȚIUNI

Următoarele opțiuni sunt aplicabile în context general pentru orice comandă dnf5:

--assumeno
    Răspunde automat „nu” la toate întrebările.

--best
    Încearcă cele mai bune versiuni de pachete disponibile în tranzacții.

    În special în timpul actualizării dnf, care în mod implicit omite actualizările care nu pot fi instalate din motive de dependență, această opțiune forțează DNF5 să ia în considerare doar cele mai recente pachete. Atunci când se confruntă cu pachete cu dependențe întrerupte, DNF5 va eșua, indicând motivul pentru care cea mai recentă versiune nu poate fi instalată.

    Rețineți că utilizarea celei mai recente versiuni disponibile este garantată numai pentru pachetele solicitate direct (de exemplu, ca argumente în linia de comandă), iar soluționatorul poate utiliza versiuni mai vechi ale dependențelor pentru a îndeplini aceste cerințele.

-C, --cacheonly
    Utilizează numai datele din cache pentru a lucra cu pachete și metadate de depozit.
    Cache-ul nu va fi actualizat, chiar dacă este expirat.

--comment=COMENTARIU
    Adaugă un comentariu la istoricul tranzacției.

--config=RUTĂ_FIȘIER_CONFIGURARE
    Definește locația fișierului de configurare.

--debugsolver
    Descarcă date suplimentare de la soluționator în scopuri de depanare.
    Datele sunt salvate în ./debugdata.

--disable-plugin=NUME_MODUL,...
    Dezactivează modulele bibliotecii libdnf5 specificate în scopul comenzii DNF5 curente.
    Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
    Valorile acceptate sunt nume sau un model de nume global.

--disable-repo=ID_DEPOZIT,...
    Dezactivează temporar depozitele active în scopul comenzii DNF5 curente.
    Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
    Valorile acceptate sunt id-uri sau un model de id-uri global.

--dump-main-config
    Afișează valorile configurației principale [MAIN] la ieșirea standard.

--dump-repo-config=ID_DEPOZIT,,...
    Afișează valorile configurației depozitului la ieșirea standard.
    Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
    Valorile acceptate sunt id-uri sau un model de id-uri global.

--dump-variables
    Afișează valorile variabilelor la ieșirea standard.

--enable-plugin=NUME_MODUL,...
    Activează modulele bibliotecii libdnf5 specificate în scopul comenzii DNF5 curente.
    Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
    Valorile acceptate sunt nume sau un model de nume global.

--enable-repo=ID_DEPOZIT,...
    Activează temporar depozite suplimentare în scopul comenzii DNF5 curente.
    Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
    Valorile acceptate sunt id-uri sau un model glob de id-uri global.

--forcearch=ARHITECTURA
    Forțează utilizarea unei arhitecturi specifice.
    Consultați dnf5-forcearch(7) pentru mai multe informații.

-h, --help
    Afișează acest mesaj de ajutor.

--installroot=RUTA_ABSOLUTĂ
    Definește ruta „installroot”.
    Este necesară ruta absolută.
    A se vedea dnf5-installroot(7) pentru mai multe informații.

--no-best
    Nu limitează tranzacția doar la cei mai buni candidați.

--no-docs
    Nu instalează niciun fișier marcat ca documentație (care include pagini man și documente texinfo).
    Activează fanionul RPMTRANS_FLAG_NODOCS.

--no-gpgchecks
    Omite verificarea semnăturilor OpenPGP pe pachete (dacă politica RPM permite acest lucru).

--no-plugins
    Dezactivează toate modulele libdnf5.

-q, --quiet
    În combinație cu o comandă non-interactivă, afișează doar conținutul relevant. Suprimă mesajele de notificare privind starea curentă sau acțiunile DNF5.

--refresh
    Forțează actualizarea metadatelor înainte de a executa comanda.

--color=<culoare>
    Controlează dacă culoarea este utilizată în ieșirea terminalului. Valorile valabile sunt „always”, întotdeauna, „never”, niciodată și auto (implicit).

--repo=ID_DEPOZIT,...
    Activează doar depozitele specificate.
    Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
    Valorile acceptate sunt id-uri sau un model de id-uri global.

--repofrompath=ID_DEPOZIT,RUTĂ_DEPOZIT
    Specifică un depozit pentru a fi adăugat la depozite numai pentru această execuție. Poate fi utilizată de mai multe ori.

    Noul id al depozitului este specificat prin ID_DEPOZIT și baseurl-ul acestuia prin RUTĂ_DEPOZIT. Variabilele din ambele valori sunt înlocuite înainte de crearea depozitului.

    Configurația noului depozit poate fi ajustată utilizând opțiunile --setopt=ID_DEPOZIT.option=valoare.

    Dacă doriți ca doar pachetele din acest depozit să fie disponibile, combinați această opțiune cu opțiunea --repo=ID_DEPOZIT.

--releasever=VERSIUNE_LANSARE
    Suprascrie valoarea versiunii de distribuție în fișierele de configurare.
    Acest lucru poate afecta rutele cache, valorile din fișierele de configurare și adresele URL ale listei oglinzilor.

--setopt=[ID_DEPOZIT.]OPTION=VALOARE
    Suprascrie o opțiune de configurare din fișierul de configurare.
    Parametrul ID_DEPOZIT este utilizat pentru a înlocui opțiunile pentru depozite.

    Valorile pentru opțiuni precum excludepkgs, includepkgs, installonlypkgs și tsflags sunt adăugate la valoarea originală, nu o înlocuiesc. Cu toate acestea, specificarea unei valori goale (de exemplu, --setopt=tsflags=) va șterge opțiunea.

--setvar=NUME_VARIABILĂ=VALOARE
    Suprascrie o valoare de variabilă DNF5, cum ar fi arch, releasever, etc.

--show-new-leaves
    Afișează pachetele de frunze „leaf” nou instalate și pachetele care au devenit frunze după o tranzacție.

--use-host-config
    Utilizează fișierele de configurare și definițiile variabilelor din sistemul gazdă și nu din installroot.
    A se vedea dnf5-installroot(7) pentru mai multe informații.

--version
    Afișează versiunea aplicației dnf5 și a bibliotecii libdnf5, împreună cu modulele încărcate cu succes și versiunile acestora, apoi iese.

-y, --assumeyes
    Răspunde automat afirmativ la toate întrebările.

-x SPECIFICAȚIE_PACHET,..., --exclude=N_SPECIFICAȚIE_PACHET,...
    Exclude din tranzacție pachetele specificate în argumentele N_SPECIFICAȚIE_PACHET.
    Aceasta este o opțiune de listă.

SINCRONIZAREA METADATELOR

Funcționarea corectă a DNF5 depinde de accesul la date actualizate din toate depozitele activate, dar contactarea oglinzilor la distanță la fiecare operație îl încetinește considerabil și costă lățime de bandă atât pentru client, cât și pentru furnizorul de depozite. Opțiunea de configurare a depozitului metadata_expire este utilizată de DNF5 pentru a determina dacă o anumită copie locală a datelor depozitului trebuie resincronizată. Este esențial ca furnizorii de depozite să configureze bine opțiunea, și anume la o valoare care să garanteze că, dacă anumite metadate erau disponibile în momentul T pe server, atunci toate pachetele la care fac referire vor fi încă disponibile pentru descărcare de pe server în momentul T + metadata_expire.

Pentru a reduce și mai mult încărcarea lățimii de bandă, unele dintre comenzile pentru care nu este esențial să existe metadate actualizate (de exemplu, comanda group list) nu verifică dacă un depozit este expirat și ori de câte ori o versiune a acestuia este disponibilă local în contul utilizatorului, aceasta va fi utilizată.

Consultați dnf5-caching(7) pentru mai multe informații privind metadatele și cache-ul pachetelor.

POLITICA DE ÎNLOCUIRE A FIȘIERELOR DE CONFIGURARE

Pachetele actualizate pot înlocui vechile fișiere de configurare modificate cu cele noi sau pot păstra fișierele mai vechi. Niciunul dintre fișiere nu este de fapt înlocuit. Pentru cele aflate în conflict, RPM acordă un sufix suplimentar la numele original. Care fișier ar trebui să păstreze numele adevărat după tranzacție nu este controlat de gestionarul de pachete, ci este specificat de fiecare pachet în parte, conform directivei de împachetare.

CODURI DE IEȘIRE

Comanda dnf5 se încheie în general cu următoarele valori de răspuns:

0
    Operația a avut succes.

1
    A apărut o eroare în timpul procesării comenzii.

2
    A apărut o eroare în timpul analizării argumentelor.

    Alte coduri de ieșire ar putea fi returnate de comanda specifică, consultați documentația acesteia pentru mai multe informații.

FIȘIERE

Fișiere cache
    /var/cache/libdnf5/

Fișierul de configurare principal [MAIN]
    /etc/dnf/dnf.conf

Configurarea depozitelor
    /etc/yum.repos.d/

Persistența depozitelor
    /var/lib/dnf/

Starea sistemului
    /usr/lib/sysimage/libdnf5/

MEDIU

DNF5_FORCE_INTERACTIVE
    Suprascrie interactivitatea intrării/ieșirii standard conectate. Definiți 0 pentru a pretinde că intrarea/ieșirea nu este conectată la un terminal interactiv și DNF5 nu trebuie să pună întrebări. Definiți 1 pentru a forța DNF5 să pună întrebări chiar dacă terminalul nu este interactiv. Consultați opțiunile --assumeno și --assumeyes.

DNF5_PLUGINS_DIR
    Suprascrie un director cu modulele de aplicație DNF5. Definiți-l la un șir de caractere gol pentru a dezactiva încărcarea modulelor de aplicație.

LIBDNF_PLUGINS_CONFIG_DIR
    Suprascrie un director cu fișierele de configurare ale modulului libdnf5.

    TEMP, TEMPDIR, TMP, TMPDIR Suprascrie o rută către un director pentru fișierele temporare. Directorul trebuie să existe. Valoarea implicită este /tmp.

CONSULTAȚI ȘI

Comenzi:
    dnf5-advisory(8), Comanda «advisory command
    dnf5-autoremove(8), Comanda «autoremove»
    dnf5-check(8), Comanda «check»
    dnf5-check-upgrade(8), Comanda «check-upgrade»
    dnf5-clean(8), Comanda «clean command
    dnf5-distro-sync(8), Comanda «distro-sync»
    dnf5-downgrade(8), Comanda «downgrade»
    dnf5-download(8), Comanda «download»
    dnf5-environment(8), Comanda «environment»
    dnf5-group(8), Comanda «group»
    dnf5-history(8), Comanda «history»
    dnf5-info(8), Comanda «info»
    dnf5-install(8), Comanda «install»
    dnf5-leaves(8), Comanda «leaves»
    dnf5-list(8), Comanda «list»
    dnf5-makecache(8), Comanda «makecache»
    dnf5-mark(8), Comanda «mark»
    dnf5-module(8), Comanda «module»
    dnf5-offline(8), Comanda «offline»
    dnf5-provides(8), Comanda «provides»
    dnf5-reinstall(8), Comanda «reinstall»
    dnf5-remove(8), Comanda «remove»
    dnf5-repo(8), Comanda «repo»
    dnf5-repoquery(8), Comanda «repoquery»
    dnf5-search(8), Comanda «search»
    dnf5-swap(8), Comanda «swap»
    dnf5-system-upgrade(8), Comanda «system-upgrade»
    dnf5-upgrade(8), Comanda «upgrade»
    dnf5-versionlock(8), Comanda «versionlock»

Module de aplicație:
    dnf5-automatic(8), Comanda «automatic command
    dnf5-builddep(8), Comanda «builddep»
    dnf5-changelog(8), Comanda «changelog»
    dnf5-config-manager(8), Comanda «config-manager»
    dnf5-copr(8), Comanda «copr»
    dnf5-needs-restarting(8), Comanda «needs-restarting»
    dnf5-repoclosure(8), Comanda «repoclosure»
    dnf5-reposync(8), Comanda «reposync»

Module de bibliotecă:
    libdnf5-actions(8), Modul pentru acțiuni
    libdnf5-expired-pgp-keys(8), Modul pentru chei PGP expirate

Configurarea:
    dnf5-conf(5), Referință configurare DNF5

Diverse:
    dnf5-aliases(7), Pseudonime pentru argumentele din linia de comandă
    dnf5-caching(7), Stocarea în cache
    dnf5-comps(7), Comparări de grupuri și medii
    dnf5-filtering(7), Filtrarea pachetelor
    dnf5-forcearch(7), Parametrul de forțare a arhitecturii
    dnf5-installroot(7), Parametrul „installroot”
    dnf5-modularity(7), Prezentare generală a modularității
    dnf5-specs(7), Specificațiile modelelor
    dnf5-system-state(7), Starea sistemului

Pagina principală a proiectului:
    https://github.com/rpm-software-management/dnf5

AUTOR
A se vedea AUTHORS.md în distribuția sursei dnf5.

DREPTURI DE AUTOR
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.